#pragma GCC optimize("O3,unroll-loops")
#pragma GCC target("avx2,bmi,bmi2,lzcnt,popcnt")

#include <iostream>
#include <vector>

using namespace std;

using ll = long long;

const ll MOD = 998244353;

const int MAX_C = 50'000'000;

ll bin_pow(ll a, ll p) {
	if (!p) {
		return 1;
	}
	if (p & 1) {
		return bin_pow(a, p - 1) * a % MOD;
	} else {
		ll x = bin_pow(a, p / 2);
		return x * x % MOD;
	}
}

ll inv(ll x) {
	return bin_pow(x, MOD - 2);
}

ll cnk(ll n, ll k) {
	if (n < 0 || k < 0 || n - k < 0) {
		return 0;
	}
	ll res = 1;
	for (ll i = n - k + 1; i <= n; ++i) {
		res = res * i % MOD;
	}
	ll res2 = 1;
	for (ll i = 1; i <= k; ++i) {
		res2 = res2 * i % MOD;
	}
	return res * inv(res2) % MOD;
}

int sol(ll n, ll k) {
	return cnk(n + k - 1, k);
}

int min_div_val[MAX_C + 1];
int prev_ans[MAX_C + 1];
char min_div_pow[MAX_C + 1];

int pr_sz = 0;
int pr[MAX_C / 10];

int main() {
	int n, C;
	cin >> n >> C;
	for (int i = 1; i <= C; ++i) {
		min_div_val[i] = 0;
	}
	vector<int> calc(100);
	for (int i = 1; i <= 99; ++i) {
		calc[i] = sol(n, i);
	}
	ll res = 1;
	for (int i = 2; i <= C; ++i) {
		if (!min_div_val[i]) {
			min_div_val[i] = i;
			min_div_pow[i] = 1;
			prev_ans[i] = 1;
			pr[pr_sz++] = i;
		}
		ll ans_here = prev_ans[i] * calc[min_div_pow[i]] % MOD;
		res += ans_here;
		for (int j = 0; j < pr_sz && pr[j] <= min_div_val[i] && pr[j] * i <= C; ++j) {
			int new_val = pr[j] * i;
			min_div_val[new_val] = pr[j];
			if (pr[j] == min_div_val[i]) {
				min_div_pow[new_val] = min_div_pow[i] + 1;
				prev_ans[new_val] = prev_ans[i];
			} else {
				min_div_pow[new_val] = 1;
				prev_ans[new_val] = ans_here;
			}
		}
	}
	res %= MOD;
	cout << (res + MOD) % MOD;
	return 0;
}
